Forums

problem install cobra 0.9.6

General discussion about Cobra. Releases and general news will also be posted here.
Feel free to ask questions or just say "Hello".

problem install cobra 0.9.6

Postby stippeyd » Sat Jan 24, 2015 10:55 am

When installing cobra programming language on my computer it fails when looking for gacutil.exe. I printed out all of the directories that the install-from-workspace looks for, but on my computer I can not find any of the directories that the install is looking for , but I do find gacutil.exe in:

C:\Program Files\ (x86)\Microsoft SDKs\Windows\v7.0A\Bin\gacutil.exe.

C:\Program Files\ (x86)\Microsoft SDKs\Windows\v7.0A\Bin\NETFX 4.0 Tools\gacutil.exe.

Can I use either of these directories in the install, and how can I point the install to look in these directories?
stippeyd
 
Posts: 1

Re: problem install cobra 0.9.6

Postby Charles » Sun Jan 25, 2015 2:23 pm

The installer is "InstallFromWorkspace.cobra" in the "Source" subdirectory. The relevant code for the gacutil path is:
dirs = [
# Windows 8.1 SDK
r'\Program Files (x86)\Microsoft SDKs\Windows\v8.1A\bin\NETFX 4.5.1 Tools\x64',
r'\Program Files (x86)\Microsoft SDKs\Windows\v8.1A\bin\NETFX 4.5.1 Tools',

r'Microsoft SDKs\Windows\v8.0A\bin\NETFX 4.0 Tools', # VS 2012
r'\Program Files (x86)\Microsoft SDKs\Windows\v8.0A\bin\NETFX 4.0 Tools', # VS2012
r'Microsoft SDKs\Windows\v7.1\Bin', # VS 2010
r'Microsoft SDKs\Windows\v7.1\Bin\NETFX 4.0 Tools\x64', # VS2010
r'Microsoft SDKs\Windows\v7.1\Bin\NETFX 4.0 Tools', # VS2010
r'Microsoft SDKs\Windows\v6.0A\bin', # VS 2008
r'Microsoft.NET\SDK\v2.0\bin', # VS 2005 / SDK .NET 2.0
r'Microsoft Visual Studio 8\SDK\v2.0\Bin',
]

So it looks like it includes 6.0A, 7.1 and 8.0A among others, but skipping 7.0A. Given that 6.0A corresponds to Visual Studio 2008 and 7.1 corresponds to Visual Studio 2010, I'm curious where 7.0A came from. In any case, the solution will be one of the following:

1) Try checking your Windows Update to see if there are any updates likes "Visual Studio 2010 Service Pack SP 1/2/3". This might get you the 7.1.

2) Install one of the Visual Studio Express products such as 2012.

3) You could insert a path into the above list in the InstallFromWorkspace.cobra file and run again. But that would make you one of the few people to run against 7.0A so I think the above two options are preferable.
Charles
 
Posts: 2510
Location: Los Angeles, CA


Return to Discussion

Who is online

Users browsing this forum: No registered users and 5 guests

cron